%global _empty_manifest_terminate_build 0
%global pypi_name os_vif

%bcond_with python_bootstrap

Name:           python-os-vif
Version:        3.0.0
Release:        1%{?dist}
Summary:        A library for plugging and unplugging virtual interfaces in OpenStack.
License:        Apache-2.0
URL:            https://docs.openstack.org/os-vif/latest/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
A library for plugging and unplugging virtual interfaces in OpenStack.

%package -n python3-os-vif
Summary:        A library for plugging and unplugging virtual interfaces in OpenStack.

BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-debtcollector python3-netaddr python3-oslo-concurrency python3-stestr
BuildRequires:  python3-oslo-config python3-oslo-i18n python3-oslo-log python3-oslo-privsep
BuildRequires:  python3-oslo-versionedobjects python3-ovsdbapp python3-stevedore python3-pyroute2
BuildRequires:  python-importlib-metadata
Requires:       python3-debtcollector python3-netaddr python3-oslo-concurrency python3-oslo-config
Requires:       python3-oslo-i18n python3-oslo-log python3-oslo-privsep python3-pyroute2
Requires:       python3-ovsdbapp python3-pbr python3-stevedore python3-oslo-versionedobjects
Requires:       python3-subunit python3-oslotest python3-os-testr python3-testtools
Requires:       python3-testrepository python3-testscenarios python3-stestr
Provides:       python-os-vif

%description -n python3-os-vif
A library for plugging and unplugging virtual interfaces in OpenStack.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}%{_pkgdocdir}

%check
export OS_TEST_PATH='./os_vif/tests/unit'
export PATH=$PATH:%{buildroot}/usr/bin
export PYTHONPATH="$PWD:%{?with_python_bootstrap:$PYTHONPATH}"
PYTHON=%{__python3} stestr-3 --test-path $OS_TEST_PATH run

%files -n python3-os-vif
%{_docdir}/*
%dir %{python3_sitelib}/*
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/vif_plug*
%{python3_sitelib}/*.egg-info

%changelog
* Wed Sep 27 2023 Shuo Wang <abushwang@tencent.com> - 3.0.0-1
- update to 3.0.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Wang Guodong <gordonwwang@tencent.com> - 2.7.1-1
- initial build
